### Constructor

# Phosh DBusScreenshotProxy new_finish

#### Declaration [src]

    PhoshDBusScreenshot*
    phosh_dbus_screenshot_proxy_new_finish (
      GAsyncResult* res,
      GError** error
    )

#### Description [src]

Finishes an operation started with phosh_dbus_screenshot_proxy_new().

#### Parameters

`res`

  Type: `GAsyncResult`

  The `GAsyncResult` obtained from the `GAsyncReadyCallback` passed to phosh_dbus_screenshot_proxy_new().

  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the constructor if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `PhoshDBusScreenshotProxy`

The constructed proxy object or `NULL` if `error` is set.

The caller of the function takes ownership of the data, and is responsible for freeing it.